using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;       // for process(notepad)
using System.Drawing;
using System.IO;        // to save txt
using System.Text;
using System.Windows.Forms;

namespace AutoLog
{
    public partial class FirstForm : Form
    {
        public FirstForm()
        {
            InitializeComponent();
            this.FormClosing +=new FormClosingEventHandler(FirstForm_FormClosing);
        }

        private void FirstForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (MessageBox.Show("ϰڽϱ?", "", MessageBoxButtons.YesNo) == DialogResult.No)
            {
                // no  
                e.Cancel = true;
            }
            // yes 
        }

        private string l = Environment.NewLine;     //  

        // loading
        private void FirstForm_Load(object sender, EventArgs e)
        {
            this.textBoxContext.Text = DateTime.Now.Year.ToString() + "/" + DateTime.Now.ToString("MM") + "/" + DateTime.Now.ToString("dd");       // date
            this.textBoxContext.Text += " (1.0.0)";     // initial version
            this.textBoxContext.Text += l + "- " + l + l;
            this.textBoxContext.Text += "߰  " + l + "- ";        // ߰ 
        }

        // α   
        private void buttonSavePath_Click(object sender, EventArgs e)
        {
            if (this.textBoxName.Text.Equals(""))
            {
                MessageBox.Show("Fill Program Name First!", "Error!");
            }
            else
            {
                this.saveFileDialog.FileName = this.textBoxName.Text + ".log";
                this.saveFileDialog.ShowDialog();
            }
        }

        private void saveFileDialog_FileOk(object sender, CancelEventArgs e)
        {
            this.textBoxSave.Text = this.saveFileDialog.FileName;       // ؽƮڽ  Է
            this.buttonSave.Enabled = true;     //  ư Ȱȭ
        }

        //  ư Ŭ
        private void buttonSave_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show(" Ͻðڽϱ?", "Save", MessageBoxButtons.YesNo) == DialogResult.Yes)
            {
                try
                {
                    FileStream fs = new FileStream(this.saveFileDialog.FileName, FileMode.Create);
                    StreamWriter sw = new StreamWriter(fs);
                    sw.Write(this.textBoxContext.Text);
                    sw.Close();
                    fs.Close();
                    if (MessageBox.Show("Ǿϴ.  ðڽϱ?", "Save", MessageBoxButtons.YesNo) == DialogResult.Yes)
                    {
                        Process.Start("notepad.exe", this.textBoxSave.Text);
                    }
                }
                catch (Exception saveEx)
                {
                    // Ʈ ex
                    MessageBox.Show("Error in file save", "Error!");
                }
            }
        }
    }
}