﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace AutoLog
{
    static class MainProgram
    {
        /// <summary>
        /// 해당 응용 프로그램의 주 진입점입니다.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            SelectForm selectForm = new SelectForm();

            // 처음
            if (selectForm.ShowDialog() == DialogResult.Yes)
            {
                Application.Run(new FirstForm());
            }

            // 파일 선택
            else if (selectForm.DialogResult == DialogResult.No)
            {
                Application.Run(new AddForm());
            }
        }
    }
}